{
    "name": "opentalent/ot_core",
    "type": "typo3-cms-extension",
    "description": "Core extension par Opentalent",
    "authors": [
        {
            "name": "Olivier Massot",
            "role": "Developer"
        }
    ],
    "require": {
        "typo3/cms-core": "^9.5 || ^10.4",
        "fluidtypo3/vhs": "^6",
        "fluidtypo3/flux": "^9",
        "fluidtypo3/fluidpages": "^5",
        "guzzlehttp/guzzle": "^6",
        "nimut/typo3-complete": "9.5",
        "nimut/testing-framework": "^5.2"
    },
    "replace": {
        "opentalent/ot_core": "self.version",
        "typo3-ter/ot_core": "self.version"
    },
    "config": {
        "vendor-dir": ".Build/vendor",
        "bin-dir": ".Build/bin"
    },
    "autoload": {
        "psr-4": {
            "Opentalent\\OtCore\\": "Classes"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Opentalent\\OtCore\\Tests\\": "Tests"
        }
    },
    "require-dev": {
    },
    "scripts": {
        "post-autoload-dump": [
            "@prepare-extension-test-structure"
        ],
        "prepare-extension-test-structure": [
            "Nimut\\TestingFramework\\Composer\\ExtensionTestEnvironment::prepare"
        ]
    },
    "extra": {
        "typo3/cms": {
            "cms-package-dir": "{$vendor-dir}/typo3/cms",
            "web-dir": ".Build/Web",
            "extension-key": "ot_core"
        }
    }
}
